Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.search.lucene.query
Class RemoteIndex

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  fr.gouv.culture.sdx.search.lucene.query.RemoteIndex

All Implemented Interfaces:
  Index, Index, java.rmi.Remote, java.io.Serializable

public class RemoteIndex
extends java.rmi.server.UnicastRemoteObject
implements Index

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Fields inherited from interface fr.gouv.culture.sdx.search.lucene.query.Index
`CLASS_NAME_SUFFIX, CREATION_TIMESTAMP_FILENAME, LAST_MODIFICATION_DATE_FILENAME`

Constructor Summary
`RemoteIndex(LuceneIndex lIndex)`

Method Summary
`protected java.lang.String` | `getClassNameSuffix()`
`Field` | `getDefaultField()`
`Field` | `getField(java.lang.String name)`
`QueryParser` | `getQueryParser()`
`org.apache.lucene.search.Searchable` | `getSearcher()`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteIndex

    public RemoteIndex(LuceneIndex lIndex)
                throws java.rmi.RemoteException

Method Detail

### getSearcher

    public org.apache.lucene.search.Searchable getSearcher()
                                                    throws java.io.IOException,
                                                           SDXException

  Specified by:
    `getSearcher` in interface `Index`
  Throws:
    `java.io.IOException`
    `SDXException`

### getField

    public Field getField(java.lang.String name)

  Specified by:
    `getField` in interface `Index`

### getDefaultField

    public Field getDefaultField()

  Specified by:
    `getDefaultField` in interface `Index`

### getQueryParser

    public QueryParser getQueryParser()
                               throws java.io.IOException,
                                      SDXException

  Specified by:
    `getQueryParser` in interface `Index`
  Throws:
    `java.io.IOException`
    `SDXException`

### getClassNameSuffix

    protected java.lang.String getClassNameSuffix()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.